%define major		0
%define libwlocate	%mklibname  wlocate %major
%define libwlocate_d	%mklibname wlocate -d
%define git		git20130127
%define rel		13

Name:		libwlocate
Version:	1.1
Release:	%mkrel -c %git %rel
Summary:	Open WLAN Map interface library

Group:		Development/C
License:	MIT
URL:		https://code.google.com/p/wlocate/
Source0:	libwlocate-git.tar.bz2
Patch0:		libwlocate-cflags.patch

BuildRequires:	libiw-devel

%description
Library for doing location lookup based on free openwlanmap.org data.

    * accessing the local WLAN-hardware
    * checking for WLAN-networks that are available
    * accessing the database
    * returning the current geographic position or an error code in case localisation failed

#------------------------------------------------------------------------------

%package -n	%{libwlocate}
Summary:	Open WLAN Map interface library
Group:		System/Libraries
Provides:	%name = %version-%release
Provides:	%arch_tagged libwlocate.so

%description -n	%{libwlocate}
Library for doing location lookup based on free openwlanmap.org data.

    * accessing the local WLAN-hardware
    * checking for WLAN-networks that are available
    * accessing the database
    * returning the current geographic position or an error code in case localisation failed

%files -n %{libwlocate}
%_libdir/*.so.%{major}
%_libdir/*.so

#------------------------------------------------------------------------------

%package -n	%{libwlocate_d}
Summary:	Devel files needed to build apps based on %name
Group:		Development/C
Requires:	%{libwlocate} = %version
Provides:	%name-devel = %version-%release

%description -n	%{libwlocate_d}
Devel files needed to build apps based on %name.

%files -n %{libwlocate_d}
%_includedir/libwlocate.h

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%global optflags %{optflags} -std=gnu17
%set_build_flags
make -f Makelib

%install
mkdir -p %{buildroot}/%_libdir %{buildroot}/usr/include
# ensure .so files are executable (0755) for proper -debuginfo extraction
install -m0755 libwlocate.so %{buildroot}/%_libdir/libwlocate.so.0
ln -sf libwlocate.so.0 %{buildroot}/%_libdir/libwlocate.so
install -m0644 libwlocate.h %{buildroot}/usr/include/

chmod 0644 COPYING CREDITS README



%changelog
* Mon May 19 2025 ns80 <ns80> 1.1-0.git20130127.13.mga10
+ Revision: 2184769
- try to fix building with GCC 15

* Tue Mar 15 2022 umeabot <umeabot> 1.1-0.git20130127.12.mga9
+ Revision: 1793269
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.1-0.git20130127.11.mga8
+ Revision: 1514617
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.1-0.git20130127.10.mga7
+ Revision: 1299225
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 cjw <cjw> 1.1-0.git20130127.9.mga7
+ Revision: 1154097
- fix debug packages

* Thu Feb 11 2016 umeabot <umeabot> 1.1-0.git20130127.8.mga6
+ Revision: 955915
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 daviddavid <daviddavid> 1.1-0.git20130127.7.mga6
+ Revision: 892974
- fix empty debugfiles (permissions of libraries must be 0755 instead of 0644)

* Wed Oct 15 2014 umeabot <umeabot> 1.1-0.git20130127.6.mga5
+ Revision: 749214
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 lmenut <lmenut> 1.1-0.git20130127.5.mga5
+ Revision: 724725
- add provides to fix marble-common dependency

* Tue Sep 16 2014 umeabot <umeabot> 1.1-0.git20130127.4.mga5
+ Revision: 681856
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-0.git20130127.3.mga4
+ Revision: 522035
- Mageia 4 Mass Rebuild

* Thu Feb 07 2013 mikala <mikala> 1.1-0.git20130127.2.mga3
+ Revision: 395090
- use some macro
- Fix file list

* Sun Jan 27 2013 neoclust <neoclust> 1.1-0.git20130127.1.mga3
+ Revision: 392646
- imported package libwlocate

